/*********************************************************/
/*****   Andreas N. Schubert Webdesign © 2026 ************/
/*****   www.andreas-n-schubert.de ***********************/
/*********************************************************/

/* inter-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/inter-v20-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* inter-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/inter-v20-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* inter-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: normal;
  font-weight: 600;
  src: url('../fonts/inter-v20-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* inter-600italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: italic;
  font-weight: 600;
  src: url('../fonts/inter-v20-latin-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


/*********************************************************/
/*********************************************************/


* { margin: 0; padding: 0; box-sizing: border-box; }

body {
	font-family: 'Inter', Arial, sans-serif;
	scroll-behavior: smooth;
	color: #000;
	height: 100vh;
	background: black;
}

/*** Sprachen  *****/

.sprachwahl {
	position: absolute;
	right: 24px;
	top: 0;
   z-index: 999;
}

.sprachauswahl .nav-link {
    padding: 8px 4px;
    text-decoration: none;
    color: #000;
    font-size: 0.9rem;
}

.sprachauswahl .nav-link.active, .sprachauswahl .nav-link:hover {
    color: #bbb;
}
 
@media(min-width: 992px) {

	.sprachwahl .nav-link {
    	color: #f5f7fa;
	}

	.sprachwahl .nav-link.active, .sprachwahl .nav-link:hover {
    	color: #aaa;
	}
	
}

/*******************/
/** Navigation *****/
/*******************/

.navbar {
	padding: 0;
	margin-top: 0;
	border-top: 8px solid #000;
	background: black;
}

.navbar .container {
	position: relative;
}

.navbar-toggler-icon {
  width: 2em;
  height: 2em;
  --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.navbar-toggler-icon:hover {
  --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, .7%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}
  
.navbar-toggler, .navbar-toggler:focus {
	box-shadow: none;
	border: 0;
}

.navbar-nav .nav-item {
	list-style: none;
	float: right;
}

.navbar-nav .nav-item .nav-link {
    margin: 0 0.5rem;
    text-decoration: none;
    color: #000;
    font-weight: bold;
}

.navbar-nav .nav-item .nav-link.active, .navbar-nav .nav-item .nav-link:hover {
    color: #bbb;
}

.navbar-nav .dropdown-menu {
	background-color: rgba(255, 255, 255, .9);
	box-shadow: -4px 6px 6px rgba(0, 0, 0, .2);	
}

.navbar-nav .dropdown-menu a.dropdown-item::before {
  font: var(--fa-font-solid);
  content: "\f004"; /* Unicode für arrow-right */
  margin-right: 0.4em;
  display: inline-block;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
}

.dropdown-item:hover {
	background-color: #fff;
}

.dropdown-item.active {
	background-color: #fff;
	color: #888;
}

.navbar .logo {
	height: 100px;	
	max-height: 100px;
}
      
.navbar .logo img {
	height: 100%;
	width: 100%;
}

@media (min-width: 992px) {

    .navbar {
        transition: min-height 0.35s ease, padding 0.35s ease;
        padding: 0 20px;
    }

    .navbar.navbar-shrink {
        min-height: 90px;
    }

     .navbar .logo {
        height: 140px;
        max-height: 140px;
        transition: max-height 0.35s ease, height 0.35s ease;
    }
  
    .navbar .logo img {
        height: 100%;
        display: block;
    }
          
    .navbar.navbar-shrink .logo {
        height: 100px;
        max-height: 100px;
        transition: max-height 0.35s ease, height 0.35s ease;
    }


    .navbar-nav {
        margin-top: 30px;
        transition: height 0.35s ease;
    }

    .navbar.navbar-shrink .navbar-nav {
        margin-top: 10px;
    }

    .navbar-nav .nav-item .nav-link {
        color: #F5F7FA;
    }
}



/*******************/
/*******************/

a, a:hover {
	text-decoration: none;
	color: #000000;
}

a:hover {
	color: #888;
}

main {
	min-height: 400px;
	background: white;
	padding-bottom: 4rem;
}

main#start {
	margin-top: 100px;
}

main#page {
	padding-top: 100px;
}

main a {
	color: #1D3989;
}

/*
main a:not(:has(img)):not(.button):not(.btn)::before {
  font: var(--fa-font-solid);
  content: "\f061";
  margin-right: 0.4em;
  display: inline-block;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
}
*/

main#page section:first-child {
	padding-top: 4rem;
}

section + section {
  margin-top: 4rem;
}

h1 {
	color: #000;
}

.maintitle  h1 {
	margin: 4rem 0 0 0;
}

@media(min-width: 768px) {

	main#start {
		margin-top: 160px;
	}

	main#page {
		padding-top: 160px;
	}
	
}

/**************************/
/** CKE5 Styles ***********/
/**************************/

.ck-content {
	font-family: 'Inter' !important;
}

.ck-content hr {
  background: #888;
  height: 2px;
  margin: 15px 0;
  box-shadow: -2px 4px 5px rgba(0, 0, 0, .4);
}



/*******************/
/***  FOOTER  ******/
/*******************/

footer {
	color: #f5f7fa;
	font-size: 90%;
}

footer .container {
	padding-top: 3rem;
	padding-bottom: 6rem;
}

footer p {
	margin-bottom: .7rem;
}

footer a, footer a:hover {
	text-decoration: none;
	color: #f5f7fa;
}

footer a:hover {
	color: #bbb;
}

footer .impressum {
	text-align: left;
}

.ans a {
	 position: absolute;
	 bottom: -50px;
    text-decoration: none;
    font-size: 0.7rem;
    color: #fff;
}

.ans a:hover {
    color: #888;
}

/*********************************/
/*********************************/
/*********************************/

	
@media only screen and (min-width: 768px) {

	footer .impressum {
		text-align: right;
	}
	
}
